package org.aaron.camel.test;

import org.apache.activemq.broker.BrokerService;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class CamelTestMain {

	private static final Log log = LogFactory.getLog(CamelTestMain.class);

	public static void main(String[] args) {
		try {
			final BrokerService broker = new BrokerService();
			broker.setPersistent(false);
			broker.setTransportConnectorURIs(new String[] { "tcp://0.0.0.0:61616" });
			broker.start();
		} catch (Exception e) {
			log.warn("main", e);
		}

		new ClassPathXmlApplicationContext("camel-test-context.xml");
	}

}
